# Get

Launch stage: GA

`GET /api/2.1/unity-catalog/volumes/{full_name_arg}`

Gets a volume from the metastore for a specific catalog and schema.

 The caller must be a metastore admin or an owner of (or have the **READ VOLUME**
 privilege on) the volume.
 For the latter case, the caller must also be the owner or have the **USE_CATALOG**
 privilege on the parent catalog and the **USE_SCHEMA** privilege on the parent schema.

API scopes: unity-catalog

## Path parameters

- `full_name_arg` (string, optional)
  The three-level (fully qualified) name of the volume

## Query parameters

- `include_browse` (boolean, optional)
  Whether to include volumes in the response for which the principal can only access selective metadata for

## Returns

Returns the VolumeInfo object.

## Response

```json
{
  "name": "string",
  "catalog_name": "string",
  "schema_name": "string",
  "volume_type": "string",
  "storage_location": "string",
  "owner": "string",
  "comment": "string",
  "full_name": "string",
  "volume_id": "string",
  "metastore_id": "string",
  "created_at": 0,
  "created_by": "string",
  "updated_at": 0,
  "updated_by": "string",
  "access_point": "string",
  "browse_only": true
}
```

